REM Simple batch file to copy assembles from the build tree to a common location.

set RecommenderBin=.\trunk\RecommenderFramework
set SNRoot=.\trunk\SocialNetworking
set AlgorithmsRoot=.\trunk\Algorithms
set RecommenderCoreBin=%RecommenderBin%\RecommenderCore
set RecommenderFxBin=%RecommenderBin%\RecommenderFx
set TargetDir=.\OfficialReleaseAssemblies

if exist "%RecommenderCoreBin%" GOTO p1
echo Directory %RecommenderBin% does not exist.  Verify you are running this tool from the MyMediaProject root directory.
goto finished

:p1
echo Directory %RecommenderBin% exists.

if exist "%TargetDir%" goto p2

echo Directory %TargetDir% does not exist.  Exitting.
goto finished

:p2

if exist "%TargetDir%\Debug\Config" goto p3

mkdir "%TargetDir%\Debug\Config"

:p3

if exist "%TargetDir%\Release\Config" goto p4

mkdir "%TargetDir%\Release\Config"

:p4

echo Copying license...
copy /Y "MYMEDIA LICENSE FOR NON-COMMERCIAL USE.docx" %TargetDir%\debug
copy /Y "MYMEDIA LICENSE FOR NON-COMMERCIAL USE.docx" %TargetDir%\release

echo Copying core framework...

copy /Y %RecommenderCoreBin%\bin\debug\MyMediaProject.RecommenderSystem.Core.dll %TargetDir%\debug
copy /Y %RecommenderCoreBin%\bin\debug\MyMediaProject.RecommenderSystem.Core.dll.config %TargetDir%\debug
copy /Y %RecommenderCoreBin%\bin\debug\MyMediaProject.RecommenderSystem.Core.pdb %TargetDir%\debug
copy /Y %RecommenderCoreBin%\bin\debug\MyMediaProject.RecommenderSystem.Core.xml %TargetDir%\debug
copy /Y %RecommenderCoreBin%\bin\debug\Config\MyMedia.mmconf.xml %TargetDir%\debug\Config
copy /Y %RecommenderCoreBin%\bin\debug\EMIC.Design.dll %TargetDir%\debug
copy /Y %RecommenderCoreBin%\bin\debug\EMIC.Design.pdb %TargetDir%\debug
copy /Y %RecommenderCoreBin%\bin\debug\EMIC.HomeFxUtil.dll %TargetDir%\debug

copy /Y %RecommenderCoreBin%\bin\release\MyMediaProject.RecommenderSystem.Core.dll %TargetDir%\release
copy /Y %RecommenderCoreBin%\bin\release\MyMediaProject.RecommenderSystem.Core.dll.config %TargetDir%\release
copy /Y %RecommenderCoreBin%\bin\release\MyMediaProject.RecommenderSystem.Core.pdb %TargetDir%\release
copy /Y %RecommenderCoreBin%\bin\release\MyMediaProject.RecommenderSystem.Core.xml %TargetDir%\release
copy /Y %RecommenderCoreBin%\bin\debug\Config\MyMedia.mmconf.xml %TargetDir%\release\Config
copy /Y %RecommenderCoreBin%\bin\release\EMIC.Design.dll %TargetDir%\release
copy /Y %RecommenderCoreBin%\bin\release\EMIC.Design.pdb %TargetDir%\release
copy /Y %RecommenderCoreBin%\bin\release\EMIC.HomeFxUtil.dll %TargetDir%\release

copy /Y %RecommenderFxBin%\bin\debug\MyMediaProject.RecommenderSystem.Framework.dll %TargetDir%\debug
copy /Y %RecommenderFxBin%\bin\debug\MyMediaProject.RecommenderSystem.Framework.pdb %TargetDir%\debug

copy /Y %RecommenderFxBin%\bin\release\MyMediaProject.RecommenderSystem.Framework.dll %TargetDir%\release
copy /Y %RecommenderFxBin%\bin\release\MyMediaProject.RecommenderSystem.Framework.pdb %TargetDir%\release

echo Copying social networking components...
copy /Y %SNRoot%\ExternalSystemIntegrator\bin\debug\ExternalSystemIntegration.dll %TargetDir%\debug
copy /Y %SNRoot%\ExternalSystemIntegrator\bin\debug\ExternalSystemIntegration.dll.config %TargetDir%\debug
copy /Y %SNRoot%\ExternalSystemIntegrator\bin\debug\ExternalSystemIntegration.pdb %TargetDir%\debug
copy /Y %SNRoot%\ExternalSystemIntegrator\bin\debug\Config\SocialNetworking.mmconf.xml %TargetDir%\debug\Config

copy /Y %SNRoot%\ExternalSystemIntegrator\bin\release\ExternalSystemIntegration.dll %TargetDir%\release
copy /Y %SNRoot%\ExternalSystemIntegrator\bin\release\ExternalSystemIntegration.dll.config %TargetDir%\release
copy /Y %SNRoot%\ExternalSystemIntegrator\bin\release\ExternalSystemIntegration.pdb %TargetDir%\release
copy /Y %SNRoot%\ExternalSystemIntegrator\bin\release\Config\SocialNetworking.mmconf.xml %TargetDir%\release\Config

copy /Y %SNRoot%\FacebookIntegrationComponent\bin\debug\FacebookIntegrationComponent.dll %TargetDir%\debug
copy /Y %SNRoot%\FacebookIntegrationComponent\bin\debug\FacebookIntegrationComponent.pdb %TargetDir%\debug
copy /Y %SNRoot%\FacebookIntegrationComponent\bin\debug\Config\Facebook.mmconf.xml %TargetDir%\debug\Config
copy /Y %SNRoot%\FacebookIntegrationComponent\bin\debug\Config\FacebookIntegrator.mmconf.xml %TargetDir%\debug\Config
copy /Y %SNRoot%\FacebookIntegrationComponent\bin\debug\Config\FacebookIntegratorFeatures.mmconf.xml %TargetDir%\debug\Config

copy /Y %SNRoot%\FacebookIntegrationComponent\bin\release\FacebookIntegrationComponent.dll %TargetDir%\release
copy /Y %SNRoot%\FacebookIntegrationComponent\bin\release\FacebookIntegrationComponent.pdb %TargetDir%\release
copy /Y %SNRoot%\FacebookIntegrationComponent\bin\release\Config\Facebook.mmconf.xml %TargetDir%\release\Config
copy /Y %SNRoot%\FacebookIntegrationComponent\bin\release\Config\FacebookIntegrator.mmconf.xml %TargetDir%\release\Config
copy /Y %SNRoot%\FacebookIntegrationComponent\bin\release\Config\FacebookIntegratorFeatures.mmconf.xml %TargetDir%\release\Config

copy /Y %SNRoot%\OpenIdIntegrationComponent\bin\debug\OpenIdIntegrationComponent.dll %TargetDir%\debug
copy /Y %SNRoot%\OpenIdIntegrationComponent\bin\debug\OpenIdIntegrationComponent.pdb %TargetDir%\debug
copy /Y %SNRoot%\OpenIdIntegrationComponent\bin\debug\Config\OpenId.mmconf.xml %TargetDir%\debug\Config
copy /Y %SNRoot%\OpenIdIntegrationComponent\bin\debug\Config\OpenIdIntegrator.mmconf.xml %TargetDir%\debug\Config
copy /Y %SNRoot%\OpenIdIntegrationComponent\bin\debug\Config\OpenIdIntegratorFeatures.mmconf.xml %TargetDir%\debug\Config

copy /Y %SNRoot%\OpenIdIntegrationComponent\bin\release\OpenIdIntegrationComponent.dll %TargetDir%\release
copy /Y %SNRoot%\OpenIdIntegrationComponent\bin\release\OpenIdIntegrationComponent.pdb %TargetDir%\release
copy /Y %SNRoot%\OpenIdIntegrationComponent\bin\release\Config\OpenId.mmconf.xml %TargetDir%\release\Config
copy /Y %SNRoot%\OpenIdIntegrationComponent\bin\release\Config\OpenIdIntegrator.mmconf.xml %TargetDir%\release\Config
copy /Y %SNRoot%\OpenIdIntegrationComponent\bin\release\Config\OpenIdIntegratorFeatures.mmconf.xml %TargetDir%\release\Config

copy /Y %SNRoot%\VirtualProfiles\bin\debug\VirtualProfiles.dll %TargetDir%\debug
copy /Y %SNRoot%\VirtualProfiles\bin\debug\VirtualProfiles.pdb %TargetDir%\debug

copy /Y %SNRoot%\VirtualProfiles\bin\release\VirtualProfiles.dll %TargetDir%\release
copy /Y %SNRoot%\VirtualProfiles\bin\release\VirtualProfiles.pdb %TargetDir%\release

echo Copying algorithms components...
copy /Y %AlgorithmsRoot%\bin\debug\Algorithms.dll %TargetDir%\debug
copy /Y %AlgorithmsRoot%\bin\debug\Algorithms.pdb %TargetDir%\debug

copy /Y %AlgorithmsRoot%\bin\release\Algorithms.dll %TargetDir%\release
copy /Y %AlgorithmsRoot%\bin\release\Algorithms.pdb %TargetDir%\release

echo Copying exernal libraries...

copy /Y common\lib\ExtremeSwank.OpenId\ExtremeSwank.OpenID.dll %TargetDir%\debug
copy /Y common\lib\ExtremeSwank.OpenId\ExtremeSwank.OpenID.dll %TargetDir%\release

copy /Y common\lib\MathNet\MathNet.Iridium.dll %TargetDir%\debug
copy /Y common\lib\MathNet\MathNet.Iridium.License.txt %TargetDir%\debug
copy /Y common\lib\MathNet\MathNet.Iridium.dll %TargetDir%\release
copy /Y common\lib\MathNet\MathNet.Iridium.License.txt %TargetDir%\release

goto end

:finished
echo .
echo Check for errors.

:end