using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MyMediaProject.RecommenderSystem.Framework.EntityRelationAlgorithm;
using MyMediaProject.RecommenderSystem.Core;

namespace MyMediaProject.RecommenderSystem.Algorithms
{
    /// <summary>
    /// MF-Recommender using singular value decomposition as optimizing criterion.
    /// This is a special case of WRMF with c_pos = 1, regularization = 0
    /// </summary>
    /// <author>Steffen Rendle, University of Hildesheim</author>
    public class ItemRecommenderSVD : ItemRecommenderWRMF
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ItemRecommenderSVD"/> class.
        /// </summary>
        /// <param name="target_relation">The target_relation.</param>
        public ItemRecommenderSVD(RelationType target_relation) : base(target_relation) {
            regularization = 0;
            c_pos = 1;        
        }        
    }
}