using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using MyMediaProject.RecommenderSystem.Framework.EntityRelationAlgorithm;

namespace MyMediaProject.RecommenderSystem.Algorithms.Utils
{

    /// <summary>
    /// Sparse representation of a matrix.
    /// Fast row-wise access is possible.
    /// </summary>
    /// <author>Steffen Rendle, University of Hildesheim</author>
    public class SparseBooleanMatrix: Dictionary<int, HashSet<int>>
    {
        /// <summary>
        /// Gets the row.
        /// </summary>
        /// <param name="x">The x.</param>
        /// <returns></returns>
        public HashSet<int> getRow(int x)
        {
            HashSet<int> result;
            if (TryGetValue(x, out result))
            {
                return result;
            }
            else
            {
                result = new HashSet<int>();
                Add(x, result);
                return result;
            }
        }
        /// <summary>
        /// Adds the entry.
        /// </summary>
        /// <param name="x">The x.</param>
        /// <param name="y">The y.</param>
        public void addEntry(int x, int y)
        {
            getRow(x).Add(y);
        }
    }
}