﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Defines framework constants.
    /// </summary>
    internal static class Constants
    {

        private const string feedbackStoreGuidString = @"8EFFA38F-F939-4e58-A285-F2A4D6128415";
        private const string feedbackStoreFriendlyName = "UserActions";
        private const string catalogItemStoreGuidString = @"94C6955C-10E7-4092-B862-D8ABA213F428";
        private const string catalogItemStoreFriendlyName = "CatalogItems";
        private const string myMediaStoreGuidString = @"9F71D117-75F1-498d-8B0F-1B63286BA4E6";
        private const string myMediaStoreFriendlyname = "MyMediaStore";
        private const string userSettingsStoreGuidString = @"0351C128-9618-4d38-9E85-EA4469F2BC1D";
        private const string userSettingsStoreFriendlyName = "UserSettings";
        private const string userStoreGuidString = @"D1DD4486-8D80-4368-91D5-2723120347A2";
        private const string userStoreFriendlyName = "UserStore";

        private static PersistentStoreId feedbackStoreId = new PersistentStoreId(new Guid(Constants.feedbackStoreGuidString),
            feedbackStoreFriendlyName);
        private static PersistentStoreId catalogItemStoreId = new PersistentStoreId(new Guid(Constants.catalogItemStoreGuidString),
            catalogItemStoreFriendlyName);
        private static PersistentStoreId myMediaStoreId = new PersistentStoreId(new Guid(Constants.myMediaStoreGuidString),
            myMediaStoreFriendlyname);
        private static PersistentStoreId userSettingsStoreId = new PersistentStoreId(new Guid(Constants.userSettingsStoreGuidString),
            userSettingsStoreFriendlyName);
        private static PersistentStoreId userStoreId = new PersistentStoreId(new Guid(Constants.userStoreGuidString),
            userStoreFriendlyName);

        internal static PersistentStoreId FeedbackStoreId
        {
            get { return Constants.feedbackStoreId; }
        }

        internal static PersistentStoreId CatalogItemStoreId
        {
            get { return Constants.catalogItemStoreId; }
        }

        internal static PersistentStoreId MyMediaStoreId
        {
            get { return Constants.myMediaStoreId; }
        }

        internal static PersistentStoreId UserSettingsStoreId
        {
            get { return Constants.userSettingsStoreId; }
        }

        internal static PersistentStoreId UserStoreId
        {
            get { return Constants.userStoreId; }
        }
    }
}
