﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MyMediaProject.RecommenderSystem.Core;

namespace MyMediaProject.RecommenderSystem.Framework.EntityRelationAlgorithm
{
    /// <summary>
    /// Interface for data providers which consume the underlying MyMedia framework data access classes.
    /// </summary>
    public interface IMyMediaEntityRelationDataProvider : IEntityRelationDataProvider
    {
        /// <summary>
        /// Registers the database connection string.
        /// </summary>
        /// <param name="databaseConnectionString">The database connection string.</param>
        void RegisterDataStoreContext(string databaseConnectionString);
        /// <summary>
        /// Unregisters the database connection string.
        /// </summary>
        /// <param name="databaseConnectionString">The database connection string.</param>
        void UnregisterDataStoreContext(string databaseConnectionString);
    }
}
