﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MyMediaProject.RecommenderSystem.Core;

namespace MyMediaProject.RecommenderSystem.Framework.EntityRelationAlgorithm
{
    /// <summary>
    /// Enumeration for identifying various relations in the system.
    /// </summary>
    public enum RelationType
    {
        /// <summary>
        /// Default value.
        /// </summary>
        Undefined = 0,
        /// <summary>
        /// The <see cref="User"/> <see cref="RatingAction"/> a <see cref="CatalogItem"/>.
        /// </summary>
        Rated = 1,
        /// <summary>
        /// The <see cref="User"/> purchased  a <see cref="CatalogItem"/>.
        /// </summary>
        Purchased = 2,
        /// <summary>
        /// The <see cref="User"/> viewed  a <see cref="CatalogItem"/>.
        /// </summary>
        Viewed = 3,
        /// <summary>
        /// The <see cref="User"/> <see cref="TaggingAction"/>  a <see cref="CatalogItem"/>.
        /// </summary>
        Tagged = 4,
        /// <summary>
        /// The <see cref="VirtualProfile"/> a <see cref="User"/> rated a <see cref="CatalogItem"/>
        /// </summary>
        VirtualProfileRated = 5,
        /// <summary>
        /// The <see cref="Keyword"/> associated with a <see cref="CatalogItem"/>
        /// </summary>
        ItemKeyword = 6,
        /// <summary>
        /// The <see cref="VirtualProfile"/> relationships with the <see cref="User"/>.
        /// </summary>
        VirtualProfileMembers = 7,
        /// <summary>
        /// Obsolete...
        /// </summary>
        [Obsolete("This RelationType has been changed to RelationType.VirtualProfileRated.  Use this RelationType instead.", true)]
        SocialNetwork,
    }
}
