﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Defines a method that handles new feedback.
    /// </summary>
    public interface INewUserActionHandler : INewUserActionHandler<CatalogItem, UserAction>
    {
    }

    /// <summary>
    /// Defines a method that handles new feedback.
    /// </summary>
    /// <typeparam name="TCatalogItemType">The type of the catalog item type.</typeparam>
    /// <typeparam name="TUserActionType">The type of the feedback item type.</typeparam>
    public interface INewUserActionHandler<TCatalogItemType, TUserActionType>
        where TCatalogItemType : CatalogItem
        where TUserActionType : UserAction

    {
        /// <summary>
        /// Handles the new feedback.
        /// </summary>
        /// <param name="feedback">The feedback.</param>
        void HandleNewFeedback(ReadOnlyCollection<TUserActionType> feedback);
    }
}
