﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// A container class for the result of an <see cref="Engine&lt;TCatalogItemType, TUserActionType&gt;"/>.
    /// </summary>
    public class EngineResult : EngineResult<CatalogItem>      
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="EngineResult&lt;TCatalogItemType&gt;"/> class.
        /// </summary>
        /// <param name="prediction">The p.</param>
        /// <param name="id">The id.</param>
        public EngineResult(Prediction<CatalogItem> prediction, EngineId id)
            : base(prediction, id)
        {
        }
    }

    /// <summary>
    /// A container class for the result of an <see cref="Engine&lt;TCatalogItemType, TUserActionType&gt;"/>.
    /// </summary>
    public class EngineResult<TCatalogItemType>
        where TCatalogItemType : CatalogItem
    {
        private Prediction<TCatalogItemType> prediction;
        private EngineId engineId;

        /// <summary>
        /// Initializes a new instance of the <see cref="EngineResult&lt;TCatalogItemType&gt;"/> class.
        /// </summary>
        /// <param name="prediction">The p.</param>
        /// <param name="id">The id.</param>
        public EngineResult(Prediction<TCatalogItemType> prediction, EngineId id)
        {
            this.prediction = prediction;
            this.engineId = id;
        }

        /// <summary>
        /// Gets the prediction.
        /// </summary>
        /// <value>The prediction.</value>
        public Prediction<TCatalogItemType> Prediction
        {
            get
            {
                return this.prediction;
            }
        }

        /// <summary>
        /// Gets the engine id.
        /// </summary>
        /// <value>The engine id.</value>
        public EngineId EngineId
        {
            get
            {
                return this.engineId;
            }
        }

    }
}
