﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Identifies a program (application).
    /// </summary>
    [Serializable]
    public class ProgramId : RecommenderId
    {
        private string friendlyName;

        /// <summary>
        /// Initializes a new instance of the <see cref="ProgramId"/> class.
        /// </summary>
        /// <param name="id">The id.</param>
        /// <param name="friendlyName">Name of the friendly.</param>
        public ProgramId(Guid id, string friendlyName)
            : base(id)
        {
            this.friendlyName = friendlyName;
        }

        /// <summary>
        /// Gets the name of the friendly.
        /// </summary>
        /// <value>The name of the friendly.</value>
        public string FriendlyName
        {
            get { return friendlyName; }
        }

        /// <summary>
        /// Returns a <see cref="T:System.String"/> that represents the current <see cref="T:System.Object"/>.
        /// </summary>
        /// <returns>
        /// A <see cref="T:System.String"/> that represents the current <see cref="T:System.Object"/>.
        /// </returns>
        public override string ToString()
        {
            return this.friendlyName;
        }
    }
}
