﻿using System;
namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Interface for the persistent store item.
    /// </summary>
    public interface IPersistentItem
    {
        /// <summary>
        /// Clones this instance.
        /// </summary>
        /// <returns></returns>
        object Clone();
        /// <summary>
        /// Equalses the specified obj.
        /// </summary>
        /// <param name="value">The value.</param>
        /// <returns></returns>
        bool Equals(object value);
        /// <summary>
        /// Gets the hash code.
        /// </summary>
        /// <returns></returns>
        int GetHashCode();
        /// <summary>
        /// Gets the id.
        /// </summary>
        /// <value>The id.</value>
        RecommenderId Id { get; }
    }
}
