﻿using System;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Provides data for the <see cref="StoreChangeEvent"/>.
    /// </summary>
    [Serializable]
    public class StoreChangedEventArgs : RecommenderEventArgs
    {
        private PersistentStoreId storeId;
        private int newChangeNumber;

        /// <summary>
        /// Gets the store id.
        /// </summary>
        /// <value>The store id.</value>
        public PersistentStoreId StoreId
        {
            get { return storeId; }
        }

        /// <summary>
        /// Gets the new change number.
        /// </summary>
        /// <value>The new change number.</value>
        public int NewChangeNumber
        {
            get { return newChangeNumber; }
        }

        internal StoreChangedEventArgs(PersistentStoreId storeId, int newChangeNumber)
        {
            this.storeId = storeId;
            this.newChangeNumber = newChangeNumber;
        }
    }
}
