﻿using System;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Provides data for the <see cref="PredictionProgressEvent"/>.
    /// </summary>
    [Serializable]
    public class PredictionProgressEventArgs : ProgressEventArgs
    {
        /// <summary>
        /// Gets or sets the flow id.
        /// </summary>
        /// <value>The flow id.</value>
        public FlowId FlowId { get; set; }

        internal PredictionProgressEventArgs(FlowId flowId, int percentage, bool finished)
            : base(percentage, finished)
        {
            this.FlowId = flowId;
        }
    }
}