﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EMIC.Design;

namespace MyMediaProject.RecommenderSystem.Core
{
    internal static class RecommenderStatistics
    {
        static private int userActionsCreated;
        static private int catalogItemsCreated;
        static private int usersCreated;
        static private int activeDataContexts;

        static public int UserActionsCreated
        {
            get
            {
                return RecommenderStatistics.userActionsCreated;
            }
        }
        static public void IncrimentUserActionsCreated()
        {
            System.Threading.Interlocked.Increment(ref userActionsCreated);
        }
        public static int CatalogItemsCreated
        {
            get { return RecommenderStatistics.catalogItemsCreated; }
        }
        static public void IncrimentCatalogItemsCreated()
        {
            System.Threading.Interlocked.Increment(ref catalogItemsCreated);
        }
        public static int UsersCreated
        {
            get { return RecommenderStatistics.usersCreated; }
        }
        static public void IncrimentUsersCreated()
        {
            System.Threading.Interlocked.Increment(ref usersCreated);
        }
        static internal void IncrimentActiveDataContext()
        {
            Contract.Invariant(activeDataContexts >= 0);
            System.Threading.Interlocked.Increment(ref activeDataContexts);
        }
        static internal void DecrimentActiveDataContext()
        {
            System.Threading.Interlocked.Decrement(ref activeDataContexts);
            Contract.Invariant(activeDataContexts >= 0);
        }
        static public int ActiveDataContexts
        {
            get { return RecommenderStatistics.activeDataContexts; }
        }
    }
}
