﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using MyMediaProject.RecommenderSystem.Core;
using EMIC.Design;

namespace MyMediaProject.RecommenderSystem.Framework
{
    internal partial class TestDataStoreDataContext
    {
        internal TestDataStoreDataContext(ProgramId programId) : base(string.Format(
                CultureInfo.InvariantCulture,
                @"Data Source=localhost\sqlexpress;Initial Catalog={0}.{1}.{2};Integrated Security=True",
                programId.FriendlyName,
                Constants.FeedbackStoreId.FriendlyName,
                programId.Value.ToString()))
        {
        }

        internal void ClearDatabaseContent()
        {
            System.Text.StringBuilder deleteFromAllTablesCommand =
                new System.Text.StringBuilder();
            string deleteCommandString = "DELETE FROM [{0}]\r\n ";

            //Get all of the table names in this database.
            IEnumerable<string> tableNames = from ms in this.Mapping.GetTables()
                                             select ms.TableName;

            foreach (string tableName in tableNames)
            {
                string tableDeleteCommand = string.Format(CultureInfo.InstalledUICulture,
                    deleteCommandString,
                    tableName);
                deleteFromAllTablesCommand.Append(tableDeleteCommand);
            }

            TraceLog.Write(LogEventType.Information, "Executing scripted delete command on {0}:",
                this.Mapping.DatabaseName);
            TraceLog.Write(LogEventType.Information, "\t" + deleteFromAllTablesCommand.ToString());

            this.ExecuteCommand(deleteFromAllTablesCommand.ToString());
        }
    }
}
