package nl.telin.mymedia.processor.token;

/**
 * @author Wout.Slakhorst
 * Class for holding annotations metadata
 */
public class TextToken {
	private String originalText;
	private String text;
	private String type;
	private int begin;
	private int end;
	
	/**
	 * @param text text covered by begin - end
	 * @param begin string index
	 * @param end string index
	 * @param type annotation type uri
	 * @param originalText original full text
	 */
	public TextToken(String text, int begin, int end, String type, String originalText) {
		this.text = text;
		this.begin = begin;
		this.end = end;
		this.type = type;
		this.originalText = originalText;
	}

	public String getText() {
		return text;
	}

	public int getBegin() {
		return begin;
	}

	public int getEnd() {
		return end;
	}

	public String getOriginalText() {
		return originalText;
	}

	public String getType() {
		return type;
	}
	
}
