﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using MyMediaProject.RecommenderSystem.Core;
using MyMediaProject.RecommenderSystem.Framework;
using EMIC.Design;
using MovieLens;

namespace RecommenderDisplay
{
    public class UserDisplay
    {
        private MovieLensRecommender recommender;
        private User user;

        internal UserDisplay(MovieLensRecommender recommender, User user)
        {
            Contract.Precondition(null != user);
            Contract.Precondition(null != recommender);
            
            this.recommender = recommender;
            this.user = user;
        }

        public User User
        {
            get
            {
                return this.user;
            }
        }

        public string UserName
        {
            get
            {
                return this.user.UserName;
            }
            set
            {
                try
                {

                    using (UserUpdate userUpdate = this.recommender.GetUpdateableUsers())
                    {
                        this.user = userUpdate.Single(user => user.UserId == this.User.UserId);
                        this.User.UserName = value;
                        userUpdate.SubmitUserChanges();
                    }
                }
                catch (Exception e)
                {
                    TraceLog.OnException(e);
                    System.Windows.Forms.MessageBox.Show("UserId guid already exists.", "Warning",
                        System.Windows.Forms.MessageBoxButtons.OK,
                        System.Windows.Forms.MessageBoxIcon.Exclamation);
                }
            }
        }
    }
}
