﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace RecommenderFieldTrialSampleWCF
{
    // Use a data contract as illustrated in the sample below to add composite types to service operations.
    // This represents a complex type which can be used to pass structures to the client of the server.
    /// <summary>
    /// Class to represent a user and rating pair.
    /// </summary>
    /// <remarks>
    /// This _optional_ class highlights how to expose objects to the rest of the system.
    /// This could just as easily be done with an encoded string, or some other technique.
    /// </remarks>
    [DataContract]
    public class UserRating
    {
        string title;
        int rating;

        /// <summary>
        /// Gets or sets the rating.
        /// </summary>
        /// <value>The rating.</value>
        [DataMember]
        public int Rating
        {
            get { return rating; }
            set { rating = value; }
        }

        /// <summary>
        /// Gets or sets the title.
        /// </summary>
        /// <value>The title.</value>
        [DataMember]
        public string Title
        {
            get { return title; }
            set { title = value; }
        }
    }
}
