﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Linq;
using ExternalSystemIntegration;
using MyMediaProject.RecommenderSystem.Core.Config;
using EMIC.Design;
using MyMediaProject.RecommenderSystem.Core;


namespace ExternalSystemIntegration
{
    /// <summary>
    /// Interface for External Integration Deployers 
    /// (that should populate the database(once) with the data required by specified integration component)
    /// </summary>
    public interface IExternalIntegrationDeployer
    {
        /// <summary>
        /// Deploys external system integration component, if not deployed yet (by the specified component's name)
        /// </summary>
        /// <param name="integratorName">The name(unique identifier) of the integration component</param>
        /// <returns>Initialized and deployed integration component</returns>
        ExternalSystemIntegrator EnsureIntegrationComponentIsDeployed(String integratorName);
        
    }
}
