﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OpenIdIntegrationComponent
{
    /// <summary>
    /// Constants holder. The values to be used as dictionary keys' names when calling PerformExternalAuthentication method.
    /// </summary>
    public static class PerformAuthenticationParameterKeyNames
    {
            /// <summary>
            /// The OpenID identity to be verified
            /// </summary>
            public const String Identity = "Identity";

            /// <summary>
            /// Fields of the simple registration extension that are mandatory (specified as a List of strings)
            /// </summary>
            public const String RequiredSimpleRegistrationFieldsList = "SimpleRegistrationRequiredFields";

            /// <summary>
            /// Fields of the simple registration extension that are optional (specified as a List of strings)
            /// </summary>
            public const String OptionalSimpleRegistrationFieldsList = "SimpleRegistrationOptionalFields";
    }
}
